mobs:register_mob("golems:golem_friendly", {
	type = "npc",
	reach = 3,
	damage = 140,
	attack_type = "dogfight",
	attacks_monsters = true,
	hp_min = 2460,
	hp_max = 2647,
	armor = 1600,
	collisionbox = {-0.4, 0, -0.4, 0.4, 2.5, 0.4},
	visual = "mesh",
	mesh = "golem.b3d",
	textures = {
		{"golems_golem.png"},
	},
	follow = "default:cobble",
	blood_texture = "default_stone.png",
	visual_size = {x=1, y=1},
	makes_footstep_sound = true,
	walk_velocity = 1,
	run_velocity = 2.5,
	jump = true,
	water_damage = 0,
	lava_damage = 120,
	light_damage = 0,
	fall_damage = 0,
	fear_height = 10,
	view_range = 14,
	animation = {
		speed_normal = 10,
		speed_run = 14,
		walk_start = 46,
		walk_end = 66,
		stand_start = 1,
		stand_end = 20,
		run_start = 46,
		run_end = 66,
		punch_start = 20,
		punch_end = 45,
	},
})

mobs:register_egg("golems:golem_friendly", "Stone Golem (friendly)", "default_stone.png", 1)

mobs:register_mob("golems:golem", {
	type = "monster",
	reach = 3,
	damage = 280,
	attack_type = "dogfight",
	hp_min = 2560,
	hp_max = 3630,
	armor = 1800,
	collisionbox = {-0.4, 0, -0.4, 0.4, 2.5, 0.4},
	visual = "mesh",
	mesh = "golem.b3d",
	textures = {
		{"golems_golem.png"},
	},
	blood_texture = "default_stone.png",
	visual_size = {x=1, y=1},
	makes_footstep_sound = true,
	walk_velocity = 1,
	run_velocity = 2.5,
	jump = true,
	drops = {
		{name = "default:stone", chance = 2, min = 2, max = 8},
        {name = "default:stone_with_mese", chance = 15, min = 2, max = 3},
	},
	water_damage = 0,
	lava_damage = 2,
	light_damage = 1,
	fall_damage = 0,
	fear_height = 10,
	view_range = 14,
	animation = {
		speed_normal = 10,
		speed_run = 14,
		walk_start = 46,
		walk_end = 66,
		stand_start = 1,
		stand_end = 20,
		run_start = 46,
		run_end = 66,
		punch_start = 20,
		punch_end = 45,
	},
})
-- mobs:spawn_specfic(name, nodes, neighbors, min_light, max_light, interval, chance, active_object_count, min_height, max_height, day_toggle)
--
mobs:spawn_specific("golems:golem_friendly", {"default:stone"}, {"default:stone_with_mese","default:stone_with_diamond","default:mese","default:mese_ongen"}, 0, 14, 1, 2000, 1, -4000, -31000, nil)
mobs:spawn_specific("golems:golem", {"default:stone"}, {"default:stone_with_mese","default:stone_with_diamond","default:mese","default:mese_ongen"}, 0, 14, 1, 45, 2000, 1, -16000, -31000, nil)

mobs:register_egg("golems:golem", "Stone Golem", "default_stone.png", 1)
